NOSE2-3(1)

NAME
nose2-3 - nose2-3

DESCRIPTION
usage: nose2 [-s START_DIR] [-t TOP_LEVEL_DIRECTORY] [--config [CONFIG]]

    [--no-user-config] [--no-plugins] [--plugin PLUGINS] [--exclude-plugin EXCLUDE_PLUGINS] [--verbosity VERBOSITY] [--verbose] [--quiet] [--log-level LOG_LEVEL] [-B] [--coverage PATH] [--coverage-report TYPE] [--coverage-config FILE] [-C] [-D] [-F] [--pretty-assert] [-h] [testNames ...]

  positional arguments:

    testNames

  options:

-s, --start-dir START_DIR
    Directory to start discovery ('.' default)

-t, --top-level-directory, --project-directory TOP_LEVEL_DIRECTORY
    Top level directory of project (defaults to start dir)

--config, -c [CONFIG]
    Config files to load, if they exist. ('unittest.cfg' and 'nose2.cfg' in start directory default)

--no-user-config
    Do not load user config files

--no-plugins
    Do not load any plugins. Warning: nose2 does not do anything if no plugins are loaded

--plugin PLUGINS
    Load this plugin module.

--exclude-plugin EXCLUDE_PLUGINS
    Do not load this plugin module

--verbosity VERBOSITY
    Set starting verbosity level (int). Applies before -v and -q

--verbose, -v
    Print test case names and statuses. Use multiple '-v's for higher verbosity.

--quiet, -q
    Reduce verbosity. Multiple '-q's result in lower verbosity.

--log-level LOG_LEVEL
    Set logging level for message logged to console.

-h, --help
    Show this help message and exit

  plugin arguments:

    Command-line arguments added by plugins:

-B, --output-buffer
    Enable output buffer

--coverage PATH
    Measure coverage for filesystem path (multi-allowed)

--coverage-report TYPE
    Generate selected reports, available types: term, term-missing, annotate, html, xml (multi-allowed)

--coverage-config FILE
    Config file for coverage, default: .coveragerc

-C, --with-coverage
    Turn on coverage reporting

-D, --debugger
    Enter pdb on test fail or error

-F, --fail-fast
    Stop the test run after the first error or failure

--pretty-assert
    Add pretty output for "assert" statements